Loading...
Searching...
No Matches
mbedtls_mpi Struct Reference

MPI structure. More...

`#include <bignum.h>`

## Data Fields

int | s
size_t | n
mbedtls_mpi_uint * | p

## Detailed Description

MPI structure.

Definition at line 196 of file bignum.h.

## Field Documentation

## n

size_t mbedtls_mpi::n

Total number of limbs in `p`.

Definition at line 211 of file bignum.h.

## p

mbedtls_mpi_uint* mbedtls_mpi::p

Pointer to limbs.

This may be `NULL` if `n` is 0.

Definition at line 217 of file bignum.h.

Referenced by mbedtls_ecp_group_a_is_minus_3().

## s

int mbedtls_mpi::s

Sign: -1 if the mpi is negative, 1 otherwise.

The number 0 must be represented with `s = +1`. Although many library functions treat all-limbs-zero as equivalent to a valid representation of 0 regardless of the sign bit, there are exceptions, so bignum functions and external callers must always set `s` to +1 for the number zero.

Note that this implies that calloc() or `... = {0}` does not create a valid MPI representation. You must call mbedtls_mpi_init().

Definition at line 208 of file bignum.h.

The documentation for this struct was generated from the following file:

- bignum.h